/*============================================================================
  File:     SecurityTables.sql

  Summary:  This script shows the new catalog views used to see the
			security certificates and asym/sym keys.

  Date:     July 2005

  Tested on SQL Server Version: 9.00.1187.07 (IDW15 - June CTP)
------------------------------------------------------------------------------
  Copyright (C) 2005 Kimberly L. Tripp, SYSolutions, Inc.
  All rights reserved.

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

SELECT c.* 
FROM sys.certificates AS c
go

SELECT ak.* 
FROM sys.asymmetric_keys AS ak
go

SELECT sk.* 
FROM sys.symmetric_keys AS sk
go

SELECT keys.* 
FROM sys.key_encryptions AS keys
go

SELECT mkpass.* 
FROM sys.master_key_passwords AS mkpass
go
